<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.ruoyi.hywz.mapper.AdsMatHyxtInvoiceDMapper">
	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap id="adsMatHyxtInvoiceDMap" type="com.ruoyi.hywz.entity.AdsMatHyxtInvoiceD">
        <result property="id" column="id"/>
        <result property="projectNo" column="project_no"/>
        <result property="projectName" column="project_name"/>
        <result property="seller" column="seller"/>
        <result property="buyer" column="buyer"/>
        <result property="costType" column="cost_type"/>
        <result property="taxAmount" column="tax_amount"/>
        <result property="taxRate" column="tax_rate"/>
        <result property="taker" column="taker"/>
        <result property="takerUnit" column="taker_unit"/>
        <result property="telephone" column="telephone"/>
        <result property="applyDate" column="apply_date"/>
        <result property="invoiceCode" column="invoice_code"/>
        <result property="makeInvoiceDate" column="make_invoice_date"/>
        <result property="status" column="status"/>
        <result property="budgetCheckStatus" column="budget_check_status"/>
        <result property="createUserId" column="create_user_id"/>
        <result property="createUser" column="create_user"/>
        <result property="createUserName" column="create_user_name"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
        <result property="isDeleted" column="is_deleted"/>
    </resultMap>

    <select id="selectNode12List" resultMap="adsMatHyxtInvoiceDMap">
        SELECT
            a.*
        FROM
            ads_mat_hyxt_invoice_d a
            LEFT JOIN ads_mat_hyxt_invoice_apply_d b on a.apply_id = b.id
        where b.current_node = 12
    </select>

</mapper>
